### Method

# ICalGLib Duration normalize

since: 4.0

#### Declaration [src]

    ICalDuration*
    i_cal_duration_normalize (
      ICalDuration* duration
    )

#### Description [src]

Create a normalized duration from another duration.

Available since: 4.0

#### Return value

Type: `ICalDuration`

A normalized `ICalDuration`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.